# Server Events

### vms\_gym:runStrengthBooster

An event for use, for example, with the steroids item. When this event is triggered, the player will have boosted point acquisition at the gym during strength exercises.

{% code fullWidth="false" %}

```lua
-- @param {multiplier: number}: For example: 3.0
-- @param {duration: number}: Duration in ms of strength booster - for example 360000
TriggerClientEvent('vms_gym:runStrengthBooster', src, multiplier, duration)
```

{% endcode %}

***

### vms\_gym:runConditionBooster

An event for use, for example, with the protein item. When this event is triggered, the player will have boosted point acquisition while running, for example, on a treadmill.

```lua
-- @param {multiplier: number}: For example: 4.0
-- @param {duration: number}: Duration in ms of condition booster - for example 360000
TriggerClientEvent('vms_gym:runConditionBooster', src, multiplier, duration)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_gym/developer-api/server-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
